## ifd-gempc 0.6.1

=== Makefile ===
# $Id: Makefile,v 1.2 2001/10/25 21:09:09 rousseau Exp $

all:
	$(MAKE) -C common clean
	cd GemPC410 ; $(MAKE)
	$(MAKE) -C common clean
	cd GemPC430 ; $(MAKE)

clean:
	$(MAKE) -C common clean
	$(MAKE) -C GemPC410 clean
	$(MAKE) -C GemPC430 clean
