=== GemPC410/Makefile ===
#
# $Id: Makefile,v 1.13 2002/03/07 21:41:37 rousseau Exp $
#

CFLAGS = -Wall -O2 -fPIC -g -I. -I../common -D_REENTRANT -DGEMPC=410
CC = gcc

# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

targets = GCGBPTransport.o gbpserial.o GemPC410Utils.o

common_targets=	../common/ifdhandler.o \
	../common/GCdebug.o ../common/GCCmds.o ../common/GCUtils.o

all: ifd-GemPC410 resetGemPC410 libGemPC410.so

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC410" all

ifd-GemPC410: common $(targets) main.o
	$(CC) -o $@ $(targets) $(common_targets) main.o

resetGemPC410: resetGemPC410.o
	$(CC) -o $@ $^

libGemPC410.so: common $(targets)
	$(CC) -shared $(targets) $(common_targets) -o $@
	chmod -x $@
	strip --strip-unneeded $@
	mv $@ $@.$(version)
	ln -sf $@.$(version) $@.$(version_major)
	ln -sf $@.$(version_major) $@

install:
	cp -a libGemPC410.so* $(DESTDIR)/usr/lib/

clean:
	cat /dev/null > .dependencies
	rm -f $(targets)
	rm -f ifd-GemPC410 main.o
	rm -f libGemPC410.so*
	rm -f resetGemPC410.o resetGemPC410
	$(MAKE) -C ../common clean
	rm -f Makefile.bak .dependencies

dep:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=410 *.c ../common/*.c > .dependencies

.dependencies:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=410 *.c ../common/*.c > .dependencies

ctags:
	ctags-exuberant *.h *.c ../common/*.h ../common/*.c

.PHONY: common clean dep ctags 

include .dependencies
