=== GemPC430/Makefile ===
CFLAGS= -Wall -O2 -fPIC -g -I. -I../common -DGEMPC=430
CC=gcc

targets= GCUSBTransport.o usbserial_linux.o usblinux.o GemPC430Utils.o

common_targets=	../common/ifdhandler.o ../common/GCCmds.o ../common/GCUtils.o \
	../common/GCdebug.o

all: ifd-GemPC430 libGemPC430

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all

ifd-GemPC430: common $(targets) main.o
	$(CC) -o $@ $(targets) $(common_targets) main.o

libGemPC430: common $(targets)
	mkdir -p ifd-GemPC430.bundle/Contents/Linux/
	$(CC) -shared -o libGemPC430.so $(targets) $(common_targets)
	strip libGemPC430.so

main.o: ../GemPC410/main.c
	$(CC) $(CFLAGS) -c -o $@ ../GemPC410/main.c

clean:
	rm -f $(targets)
	rm -f libGemPC430.so ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so
	rm -f ifd-GemPC430 main.o
	$(MAKE) -C ../common clean

install:
	cp libGemPC430.so ifd-GemPC430.bundle/Contents/Linux/
	mkdir -p $(DESTDIR)/usr/lib/pcsc/drivers/
	cp -r ifd-GemPC430.bundle $(DESTDIR)/usr/lib/pcsc/drivers/

dep:
	makedepend -I. -I../common -DGEMPC=430 GCUSBTransport.c GemPC430Utils.c \
		usblinux.c usbserial_linux.c ../common/*.c

ctags:
	ctags-exuberant *.h *.c ../common/*.c ../common/*.h

.PHONY: common clean dep ctags

# DO NOT DELETE
