=== common/Makefile ===
CC=gcc
CFLAGS= -Wall -O2  -g

OBJS= GCCmds.o GCdebug.o GCUtils.o ifdhandler.o
all: $(OBJS)

clean:
	rm -f $(OBJS)
	rm -f tags

ctags:
	ctags-exuberant *.h *.c

.PHONY: all clean ctags
