=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-# $Id: Makefile,v 1.43 2004/01/20 14:33:37 rousseau Exp $
+# $Id: Makefile,v 1.45 2004/07/03 21:08:07 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
-INCS = -I/usr/local/include
+INCS = `pkg-config libpcsclite --cflags`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -14,7 +14,7 @@
 
 # by default install in /usr/local
 ifeq ($(DESTDIR),)
-DESTDIR=/usr/local/pcsc/drivers/serial
+DESTDIR=/usr/local
 endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
@@ -69,8 +69,8 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	if [ ! -d $(DESTDIR) ] ; then install -d $(DESTDIR) ; fi
-	cp -R libGemPC410.so* $(DESTDIR)
+	if [ ! -d $(DESTDIR)/pcsc/drivers/serial ] ; then install -d $(DESTDIR)/pcsc/drivers/serial ; fi
+	cp -R libGemPC410.so* $(DESTDIR)/pcsc/drivers/serial
 
 dep: dep_stamp
 dep_stamp:
