=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# $Id: Makefile,v 1.44 2003/09/02 19:45:09 rousseau Exp $
+# $Id: Makefile,v 1.45 2004/07/03 21:08:05 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
-INCS = -I/usr/local/include
+INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
 
 # use a correct default CFLAGS
