=== common/Makefile ===
# $Id: Makefile,v 1.17 2003/08/14 09:45:18 rousseau Exp $

OBJS = GCCmds.o GCUtils.o ifdhandler.o GCdebug.o

all: $(OBJS)

clean:
	rm -f $(OBJS)
	rm -f .dependencies
	touch .dependencies

distclean: clean
	rm -f tags
	rm -f dep_stamp

ctags:
	ctags-exuberant *.h *.c

dep: dep_stamp
dep_stamp:
	makedepend -f - -I. -I../GemPC410 -DGEMPC=410 *.c > .dependencies || true
	touch dep_stamp

.dependencies: dep

.PHONY: all clean distclean ctags dep

include .dependencies
