## ifd-gempc 1.0.0

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #
-# $Id: Makefile,v 1.45 2004/07/03 21:08:05 rousseau Exp $
+# $Id: Makefile,v 1.46 2005/06/17 10:58:50 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
+INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -64,9 +65,9 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	mkdir -p $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/
-	cp libGemPC430.so $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
-	sed s/VERSION/$(version)/ Info.plist > $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Info.plist
+	mkdir -p $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Linux/
+	cp libGemPC430.so $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
+	sed s/VERSION/$(version)/ Info.plist > $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Info.plist
 
 dep: dep_stamp
 dep_stamp:
