## ifd-gempc 1.0.1

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #
-# $Id: Makefile,v 1.45 2004/07/03 21:08:07 rousseau Exp $
+# $Id: Makefile,v 1.48 2005/06/17 10:58:23 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
 INCS = `pkg-config libpcsclite --cflags`
+INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`/serial
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -19,8 +20,6 @@
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
-# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0
-version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
 targets = GCGBPTransport.o gbpserial.o GemPC410Utils.o
 
@@ -50,8 +49,6 @@
 	chmod -x $@
 	strip --strip-unneeded $@
 	mv $@ $@.$(version)
-	ln -sf $@.$(version) $@.$(version_major)
-	ln -sf $@.$(version_major) $@
 
 clean:
 	rm -f .dependencies
@@ -69,8 +66,8 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	if [ ! -d $(DESTDIR)/pcsc/drivers/serial ] ; then install -d $(DESTDIR)/pcsc/drivers/serial ; fi
-	cp -R libGemPC410.so* $(DESTDIR)/pcsc/drivers/serial
+	if [ ! -d $(INSTALL_DIR) ] ; then install -d $(INSTALL_DIR) ; fi
+	cp -R libGemPC410.so.$(version) $(INSTALL_DIR)
 
 dep: dep_stamp
 dep_stamp:
