=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.46 2005/06/17 10:58:50 rousseau Exp $
+# $Id: Makefile,v 1.46 2005-06-17 10:58:50 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
