## ifd-gempc 1.0.3

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,21 +1,16 @@
 #
-# $Id: Makefile,v 1.48 2005/06/17 10:58:23 rousseau Exp $
+# $Id: Makefile,v 1.50 2007-08-14 15:59:22 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
 INCS = `pkg-config libpcsclite --cflags`
-INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`/serial
+INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`/serial
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
 CFLAGS = -O2 -g -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
 else
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
-endif
-
-# by default install in /usr/local
-ifeq ($(DESTDIR),)
-DESTDIR=/usr/local
 endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
@@ -47,7 +42,6 @@
 	rm -f $@
 	$(CC) -shared $(targets) $(common_targets) -o $@
 	chmod -x $@
-	strip --strip-unneeded $@
 	mv $@ $@.$(version)
 
 clean:
