=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
-# $Id: Makefile,v 1.46 2005-06-17 10:58:50 rousseau Exp $
+# $Id: Makefile,v 1.48 2007-08-14 15:59:24 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
-INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`
+INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -15,11 +15,6 @@
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
 endif
 LDFLAGS = $(LIBS) -lusb
-
-# by default install in /usr/local
-ifeq ($(DESTDIR),)
-DESTDIR=/usr/local
-endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
@@ -45,7 +40,6 @@
 
 libGemPC430.so: common $(targets)
 	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets)
-	strip $@
 
 main.o: ../GemPC410/main.c
 	$(CC) $(CFLAGS) -c -o $@ $^
