## ifd-gempc 1.0.5

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #
-# $Id: Makefile,v 1.48 2007-08-14 15:59:24 rousseau Exp $
+# $Id: Makefile,v 1.49 2009-04-12 08:46:52 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
-LIBS = -L/usr/local/lib
+LIBS = -L/usr/local/lib -lusb
 INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
@@ -14,7 +14,6 @@
 else
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
 endif
-LDFLAGS = $(LIBS) -lusb
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
@@ -27,7 +26,7 @@
 
 check: check_stamp
 check_stamp:
-	CFLAGS="$(INCS)" LDFLAGS="$(LIBS)" ../check 430
+	CFLAGS="$(INCS)" LIBS="$(LIBS)" ../check 430
 	touch check_stamp
 
 expert: ifd-GemPC430 libGemPC430.so
@@ -36,10 +35,10 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all
 
 ifd-GemPC430: common $(targets) main.o ../common/GCdebug.o
-	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o
+	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
 
 libGemPC430.so: common $(targets)
-	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets)
+	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
 
 main.o: ../GemPC410/main.c
 	$(CC) $(CFLAGS) -c -o $@ $^
