## ifd-gempc 1.0.6

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.50 2007-08-14 15:59:22 rousseau Exp $
+# $Id: Makefile,v 1.51 2009-04-12 08:46:48 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
@@ -40,7 +40,7 @@
 
 libGemPC410.so: common $(targets)
 	rm -f $@
-	$(CC) -shared $(targets) $(common_targets) -o $@
+	$(CC) -shared $(LDFLAGS) $(targets) $(common_targets) -o $@
 	chmod -x $@
 	mv $@ $@.$(version)
