=== debian/changelog ===
ifd-gempc (1.0.6-1) unstable; urgency=low

  * New upstream version
  * debian/source/format: use "3.0 (quilt)"
  * debian/control: Standards-Version: 3.8.3 -> 3.8.4, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jun 2010 16:05:27 +0200

ifd-gempc (1.0.5-2) unstable; urgency=low

  * Fix "[INTL:ja] please add Japanese po-debconf template translation
    (ja.po)" add debian/po/ja.po (Closes: #554107)
  * debian/libgempc410.post{inst,rm}: fix lintian warning
    command-with-path-in-maintainer-script
  * debian/copyright: fix lintian warning copyright-without-copyright-notice
  * debian/control: Standards-Version: 3.8.1 -> 3.8.3. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Nov 2009 13:30:39 +0100

ifd-gempc (1.0.5-1) unstable; urgency=low

  * New upstream version
  * use debhelper compatibility 7
  * debian/rules: use dh_prep instead of dh_clean -k
  * Standards-Version: 3.7.2 -> 3.8.1
   - use Homepage: filed
   - add support of nostrip and parallel= in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Apr 2009 11:57:49 +0200

ifd-gempc (1.0.4-1) unstable; urgency=low

  * New upstream version
  * debian/control: Build-Depends: on (>= 1.2.9-beta7) instead of
    (>= 1.2.9-beta7-1). Avoids a lintian warning

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 14:26:31 +0100

ifd-gempc (1.0.3-1) unstable; urgency=high

  * urengcy high since it corrects a RC bug
  * New upstream version
    - Closes: #428323 "libgempc430: Causes pcscd to segfault on startup"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 14 Aug 2007 18:52:06 +0200

ifd-gempc (1.0.2-3) unstable; urgency=low

  * GemPC4?0/Makefile: remove the call of strip. Closes: #437197 "ifd-gempc:
    not handling nostrip build option (policy 10.1)"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 Aug 2007 21:06:06 +0200

ifd-gempc (1.0.2-2) unstable; urgency=low

  * debian/po/pt.po: Closes: #434064: ifd-gempc: [INTL:pt] Portuguese
    translation for debconf messages

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 01 Aug 2007 21:48:49 +0200

ifd-gempc (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 Jun 2007 16:45:09 +0200

ifd-gempc (1.0.1-5) unstable; urgency=low

  * debian/po/es.po: closes: #396476: "ifd-gempc: Update spanish po-debconf
    translation"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  1 Nov 2006 13:53:23 +0100

ifd-gempc (1.0.1-4) unstable; urgency=low

  * debian/po/de.po: closes: #396380: "ifd-gempc: [INTL:de] Updated German
    debconf translation"
  * debian/libgempc410.templates: use #flag:translate:5
  * debian/po/*.po: regenerate
  * debian/libgempc430.postrm: use invoke-rc.d instead of calling
    /etc/init.d/pcscd directly. Thanks lintian(1)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 31 Oct 2006 20:58:47 +0100

ifd-gempc (1.0.1-3) unstable; urgency=low

  * debian/po/ru.po: update. Closes: #361652 "ifd-gempc: [INTL:ru] Updated
    Russian translation for debconf template"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  9 Apr 2006 16:00:56 +0200

ifd-gempc (1.0.1-2) unstable; urgency=medium

  * urgency=medium since the package libgempc410 was broken
  * debian/libgempc410.postinst: use libGemPC410.so.1.0.1 instead of
    libGemPC410.so.1.0.0 in /etc/reader.conf. Closes: #355118: libgempc410:
    wrong /etc/reader.conf.d/libGemPC410

 -- Ludovic Rousseau <rousseau@debian.org>  Sat,  4 Mar 2006 16:12:28 +0100

ifd-gempc (1.0.1-1) unstable; urgency=low

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Thu,  9 Feb 2006 14:38:54 +0100

ifd-gempc (1.0.0-9) unstable; urgency=low

  * debian/po/cs.po: update. Closes: #345137 "Czech translation for ifd-gempc"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  1 Jan 2006 22:28:30 +0100

ifd-gempc (1.0.0-8) unstable; urgency=low

  * debian/po/sv.po: update. Closes: #342021 "[INTL:sv] Swedish debconf
    templates translation"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  7 Dec 2005 17:53:25 +0100

ifd-gempc (1.0.0-7) unstable; urgency=low

  * debian/libgempc410.templates: change again, sorry
  * debian/po/fr.po: update

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  4 Dec 2005 15:08:12 +0100

ifd-gempc (1.0.0-6) unstable; urgency=low

  * debian/control: remove Recommends: hotplug for libgempc430 since Debian
    uses udev instead now
  * debian/libgempc410.templates: change the Description: text to be compliant
    with the developers reference, section 6.5
  * debian/libgempc410.prerm: removed. This script was used to remove
    /etc/reader.conf.d/ if empty but it always contains 0comments from pcscd
  * debian/libgempc430.templates: remove debconf note about hotplug
  * debian/libgempc430.config: removed since no more debconf note
  * debian/libgempc430.postinst: remove debconf calls
  * debian/libgempc430.prerm: removed since it does nothing
  * debian/libgempc430.preinst: removed since it does nothing

 -- Ludovic Rousseau <rousseau@debian.org>  Sat,  3 Dec 2005 17:08:36 +0100

ifd-gempc (1.0.0-5) unstable; urgency=low

  * debian/po/sv.po: Closes: #337770 "Swedish debconf templates translation"
  * debian/compat: use level debian helper level 4, no change

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  6 Nov 2005 18:26:25 +0100

ifd-gempc (1.0.0-4) unstable; urgency=low

  * debian/control: use ${misc:Depends} instead of "debconf | debconf-2.0"
    as indicated in http://lists.debian.org/debian-devel/2005/08/msg00361.html

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  7 Aug 2005 19:15:08 +0200

ifd-gempc (1.0.0-3) unstable; urgency=low

  * debian/contol: use "debconf | debconf-2.0" as requested in
    http://lists.debian.org/debian-devel/2005/08/msg00136.html

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  7 Aug 2005 18:40:13 +0200

ifd-gempc (1.0.0-2) unstable; urgency=low

  * debian/po/cs.po: Czech translation. Closes: #315209

