=== debian/control ===
Source: ifd-gempc
Section: libs
Priority: extra
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>> 7.0.0), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev (>= 1.2.9-beta7), po-debconf, pkg-config
Standards-Version: 3.8.4
Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/

Package: libgempc410
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
Provides: pcsc-ifd-handler
Description: PC/SC driver for the GemPC 410, 412, 413 and 415 smart card readers
 This library provides a PC/SC IFD handler implementation for the Gemplus
 GemPC410, GCR410P, GemPC412, GemPC413 and GemPC415 serial smart card readers.
 .
 This package is needed to communicate with the GemPC41x smartcard
 readers through the PC/SC Lite resource manager (pcscd).

Package: libgempc430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
Provides: pcsc-ifd-handler
Description: PC/SC driver for the GemPC 430, 432, 435 smart card readers
 This library provides a PC/SC IFD handler implementation for the Gemplus
 GemPC430, GemPC432 and GemPC435 USB smart card readers.
 .
 This package is needed to communicate with the GemPC43x smartcard
 readers through the PC/SC Lite resource manager (pcscd).
