## ifd-gempc 1.0.7

=== debian/changelog ===
ifd-gempc (1.0.7-3) unstable; urgency=low

  * Fix "[INTL:it] Italian translation of debconf messages" add
    provided debian/po/it.po file (Closes: #761094)
  * debian/control: Standards-Version: 3.9.4 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Sep 2014 14:37:52 +0200

ifd-gempc (1.0.7-2) unstable; urgency=low

  * debian/libgempc410.postinst: use the correct library version
  * debian/control: Standards-Version: 3.9.3 -> 3.9.4. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 24 Oct 2013 19:18:57 +0200

ifd-gempc (1.0.7-1) unstable; urgency=low

  * New upstream release
  * Fix "Hardening flags missing" fixed upstream (Closes: #667931)
  * debian/patches/01_spelling: merged upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Apr 2012 23:36:51 +0200

ifd-gempc (1.0.6-6) unstable; urgency=low

  * use debhelper version 9 to get automatic hardening
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Apr 2012 20:39:54 +0200

ifd-gempc (1.0.6-5) unstable; urgency=low

  * Fix "[INTL:nl] Dutch translation of debconf templates" update the
    debian/po/nl.po file (Closes: #659707)
  * debian/patches/01_spelling: fix typo spotted by lintian

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 14 Feb 2012 22:10:28 +0100

ifd-gempc (1.0.6-4) unstable; urgency=low

  * debian/rules: use a minimal dh rule file
  * debian/compat: upgrade from 7 to 8
  * debian/control: remove version 1.2.9-beta7 on pcsc-lite dependency since
    oldstable (lenny) has 1.4.102-1 already
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b ifd-gempc-1.0.6
    gave error exit status 2" moved from cvs-buildpackage to svn-buildpackage
    without cvs stupid changes in the $Id$ date format (Closes: #643162)
  * debian/copyright: only reference the /usr/share/common-licenses/GPL-2 file
    to fix lintian P: libgempc410: copyright-refers-to-symlink-license
    usr/share/common-licenses/GPL
  * debian/libgempc410.config: use "set -e" to fix lintian warning P:
    libgempc410: maintainer-script-without-set-e config

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 27 Sep 2011 21:04:18 +0200

ifd-gempc (1.0.6-3) unstable; urgency=low

  * Fix "[INTL:da] Danish translation of the debconf templates ifd-
    gempc" add debian/po/da.po (Closes: #628411)
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 29 May 2011 14:47:50 +0200

ifd-gempc (1.0.6-2) unstable; urgency=low

  * Fix "wrong LIBPATH in reader.conf.d/libGemPC410" fix the version number in
    the postinst script (Closes: #610846)
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 23 Jan 2011 15:03:17 +0000
