=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>> 7.0.0), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev (>= 1.2.9-beta7), po-debconf, pkg-config
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9~), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev, po-debconf, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/
 
 Package: libgempc410
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
 Provides: pcsc-ifd-handler
 Description: PC/SC driver for the GemPC 410, 412, 413 and 415 smart card readers
  This library provides a PC/SC IFD handler implementation for the Gemplus
@@ -19,7 +19,7 @@
 
 Package: libgempc430
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
 Provides: pcsc-ifd-handler
 Description: PC/SC driver for the GemPC 430, 432, 435 smart card readers
  This library provides a PC/SC IFD handler implementation for the Gemplus
