=== debian/watch ===
# see uscan(1)
version=2
http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/ \
        ifd-gempc-([\d\.]*)\.tar\.gz
