## ifd-gempc 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.9 2003/05/03 07:43:49 rousseau Exp $
+# $Id: Makefile,v 1.9 2003-05-03 07:43:49 rousseau Exp $
 
 all:
 	$(MAKE) -C common clean
