=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.51 2009-04-12 08:46:48 rousseau Exp $
+# $Id: Makefile,v 1.53 2012/04/08 19:13:19 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
@@ -33,14 +33,14 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC410" all
 
 ifd-GemPC410: common $(targets) main.o ../common/GCdebug.o
-	$(CC) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o
+	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $(targets) $(common_targets) main.o ../common/GCdebug.o
 
 resetGemPC410: resetGemPC410.o
-	$(CC) -o $@ $^
+	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $^
 
 libGemPC410.so: common $(targets)
 	rm -f $@
-	$(CC) -shared $(LDFLAGS) $(targets) $(common_targets) -o $@
+	$(CC) -shared $(CFLAGS) $(LDFLAGS) $(targets) $(common_targets) -o $@
 	chmod -x $@
 	mv $@ $@.$(version)
