=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.49 2009-04-12 08:46:52 rousseau Exp $
+# $Id: Makefile,v 1.50 2012/04/08 19:13:22 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
@@ -35,13 +35,13 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all
 
 ifd-GemPC430: common $(targets) main.o ../common/GCdebug.o
-	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
 
 libGemPC430.so: common $(targets)
-	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
+	$(CC) -shared $(CFLAGS) $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
 
 main.o: ../GemPC410/main.c
-	$(CC) $(CFLAGS) -c -o $@ $^
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $^
 
 clean:
 	rm -f .dependencies
