=== common/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.17 2003/08/14 09:45:18 rousseau Exp $
+# $Id: Makefile,v 1.17 2003-08-14 09:45:18 rousseau Exp $
 
 OBJS = GCCmds.o GCUtils.o ifdhandler.o GCdebug.o
