=== debian/changelog ===
ifd-gempc (1.0.8-9) unstable; urgency=medium

  * Add d/patches/check
  * d/control: Reformat Build-Depends:
  * d/control: Build-Depends: pkgconf
  * Fix "ftbfs with GCC-14" by patching "check" (Closes: #1075084)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Jul 2024 13:04:06 +0200

ifd-gempc (1.0.8-8) unstable; urgency=medium

  * d/{watch,copyright,control}: project moved to https://ifd-gempc.apdu.fr/
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 05 Aug 2023 13:42:25 +0200

ifd-gempc (1.0.8-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libusb-dev.

  [ Ludovic Rousseau ]
  * Fix "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation" (Closes: #1028011)
  * d/po/sv.po: convert from iso-8859-1 to utf-8
  * d/watch: uprgrade from version 2 to 4
  * d/control: Standards-Version: 3.9.8 -> 4.6.1. No change needed.
  * d/libgempc410.postinst: update lib version to 1.0.8

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Jan 2023 16:05:15 +0100

ifd-gempc (1.0.8-6) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Ludovic Rousseau ]
  * d/upstream/signing-key.asc: export the key as minimal
  * d/control: use debhelper-compat (= 13)
  * d/control: Add Rules-Requires-Root: no

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Sep 2020 09:20:00 +0200

ifd-gempc (1.0.8-5) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: change priority from extra to optional
    W: libgempc430: priority-extra-is-replaced-by-priority-optional

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2018 16:40:40 +0200

ifd-gempc (1.0.8-4) unstable; urgency=medium

  * Do not use parallel builds (Closes: #887691)
  * ifdgempc410: Do not use update-reader.conf any more

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 19 Jan 2018 18:00:38 +0100

ifd-gempc (1.0.8-3) unstable; urgency=medium

  * Fix Vcs-Git: URL in control file
  * Upgrade debhelper to compat level 10 (from 9)

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 25 Dec 2017 13:30:13 +0100

ifd-gempc (1.0.8-2) unstable; urgency=medium

  * Fix Vcs-Browser URL

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Dec 2017 10:15:46 +0100

ifd-gempc (1.0.8-1) unstable; urgency=medium

  * New upstream release
  * Migrate the Debian packging from SVN to GIT
  * debian/control: Standards-Version: 3.9.5 -> 3.9.8. No change needed.
  * Enable hardening. Fix lintian: hardening-no-bindnow
  * debian/watch: check PGP signature

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 14 Dec 2017 19:02:40 +0100
