=== debian/control ===
--- 
+++ 
@@ -1,10 +1,17 @@
 Source: ifd-gempc
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9~), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev, po-debconf, pkg-config
-Standards-Version: 3.9.5
-Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/
+Build-Depends: debhelper-compat (= 13),
+	libusb-dev,
+	libpcsclite-dev,
+	po-debconf,
+	pkgconf
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/ifd-gempc.git
+Vcs-Browser: https://salsa.debian.org/debian/ifd-gempc
+Homepage: https://ifd-gempc.apdu.fr/
+Rules-Requires-Root: no
 
 Package: libgempc410
 Architecture: any
