=== debian/watch ===
# see uscan(1)
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
		https://ifd-gempc.apdu.fr/ \
        ifd-gempc-([\d\.]*)\.tar\.gz
